<?

# $Id: writer.inc.php 551 2004-05-03 19:45:31Z raf $

require_once("../inc/simpleclasscommon.inc.php");

class Writer extends SimpleClassCommon
	{
	var $userid = 0;
	var $name = "";
	var $company = "";
	var $email = "";

	function Writer($id=0)
		{
		$ok = parent::SimpleClassCommon($id,"writer","writerid");
		if (!$ok)
			{
			$this->_error("Writer ". $this->lastError());
			$this->name = "DELETED/ID#$id";
			return false;
			}

		return true;
		}

	function fetchData($id)
		{
		global $db;

		$id = addslashes($id);

		$r = $this->_internalFetchData($id);
		if (!$r)
			{
			$this->_error("Writer Fetch ". $this->lastError());
			return false;
			}

		$this->id = $id;
		$this->userid = $r["userid"];
		$this->name = $r["name"];
		$this->company = $r["company"];
		$this->email = $r["email"];

		return true;
		}


/*
	function Update()
		{
		global $db;

		if ($this->getNumber() == "")
			{
			$this->_error("New object, no data set");
			return false;
			}

		$fields = array();

		$ok = $this->setType($this->getType());
		if (!$ok) return false;
		$fields["cctype"] = $this->getType();

		$ok = $this->setNumber($this->getNumber());
		if (!$ok) return false;
		$fields["ccnum"] = $this->getNumber();

		$ok = $this->setMonth($this->getMonth());
		if (!$ok) return false;
		$fields["ccexpm"] = $this->getMonth();

		$ok = $this->setYear($this->getYear());
		if (!$ok) return false;
		$fields["ccexpy"] = $this->getYear();

		$ok = $this->setHolder($this->getHolder());
		if (!$ok) return false;
		$fields["ccholder"] = $this->getHolder();

		$ok = $this->setBank($this->getBank());
		if (!$ok) return false;
		$fields["ccbank"] = $this->getBank();

		$ok = $this->_internalUpdate($fields);

		if (!$ok)
			{
			$this->_error("Writer " . $this->lastError());
			return false;
			}

		return true;
		}

*/

	function getUserID()
		{
		return $this->userid;
		}

	function getName()
		{
		return $this->name;
		}

	function getCompany()
		{
		return $this->company;
		}

	function getEMail()
		{
		return $this->email;
		}

	function listAll($doesjh=false)
		{
		global $db;

		$q = "SELECT * FROM " . $this->table .
			($doesjh ? " WHERE doesjh = 1" : "") .
			" ORDER BY " . $this->idcol;

		$got = $db->query($q);

		$ids = array();

		while ($r = $got->fetchArray())
			{
			$ids[$r[$this->idcol]] = $r["name"];
			}

		return $ids;
		}

	function listWriterAssignedOrders($date="",$hide=HIDE_COMPLETED,$stop="")
		{
		global $db;

		$q = "SELECT orderdata.orderid
			FROM orderdata
			LEFT JOIN assignment USING (orderid)
			WHERE assignment.writerid = " .
			$this->getID();

		if ($hide != ALSO_COMPLETED)
			$q .= " AND assignment.completed IS NULL";

		if (strlen($date))
			{
			if (!strlen($stop))
				$q .= " AND assignment.deadline = '$date'";
			else
				$q .= " AND assignment.deadline >= '$date'
					AND assignment.deadline < '$stop'";
			}

		$q .= " ORDER BY orderdata.orderid";

#		echo "q=$q<br>";

		$oids = array();

		$got = $db->query($q);

		while ($r = $got->fetchArray())
			$oids[] = $r[0];

		return $oids;
		}

	function listCompletedOrders($clid=0)
		{
		global $db;

		$q = "SELECT orderdata.orderid
			FROM orderdata
			LEFT JOIN assignment USING (orderid)
			WHERE assignment.writerid = " .
			$this->getID() . " AND assignment.completed IS NOT NULL";

		if ($clid) $q .= " AND orderdata.clid = '$clid'";

		$q .= " ORDER BY orderdata.orderid";

#		echo "q=$q<br>";

		$oids = array();

		$got = $db->query($q);

		while ($r = $got->fetchArray())
			$oids[] = $r[0];

		return $oids;
		}

	}


?>
