<?

# $Id: click.php 291 2004-03-03 20:51:48Z raf $

require_once("../inc/autoexec.inc.php");
require_once("../inc/bannerclick.inc.php");

$bp = (isset($_GET["bp"]) ? $_GET["bp"] : "");
$ct = (isset($_GET["ct"]) ? $_GET["ct"] : "b");

$af = new Affiliate();

$afids = $af->getIDByBannerPass($bp);

if (!count($afids))
	diehard("Click ERROR: no such affiliate: '$bp'");
if (count($afids) > 1)
	diehard("Click ERROR: too many affiliates found for '$bp' (" .
		count($afids) . ")");

$afid = $afids[0];
$af = new Affiliate($afid);
if (!$af->wasOK())
	diehard("Affiliate ID#$afid ERROR: " . $af->lastError());

if ($ct == "b")
	{
	$redir = (strlen($af->getClickRedirectURL()) ? $af->getClickRedirectURL() :
	AFF_CLICK_DEFAULT_REDIRECT_URL);

	$redir = sprintf($redir,$af->getName());
	}
else
	$redir = sprintf("../order/orderf.php?site=%s&clear=",$af->getName());

$bc = new BannerClick();

$err = true;

while (1) 
	{
	$ok = $bc->setAffiliateID($afid);
	if (!$ok) break;
	$ok = $bc->setClickType($ct); # b - banner l - link
	if (!$ok) break;
	$ok = $bc->Update();
	if (!$ok) break;
	$err = false;
	break;
	}

if ($err)
	diehard("BannerClick ERROR: " . $bc->lastError());

if ($ct == "b") # cookie
	{
	$cookie = AFF_CLICK_COOKIENAME;
	$cookietime = time() + AFF_CLICK_COOKIE_LIFETIME;
	$cookieval = $af->genCookieValue($cookietime);

	setcookie($cookie,$cookieval,$cookietime,AFF_COOKIE_PATH,
		AFF_COOKIE_DOMAIN);
	}

header("Location: $redir");

?>

